(function($) {
	"use strict";

$(document).ready(function() {
    
		
    setTimeout(function() {
        $('#loading').fadeOut('slow', function() {
        });   
    }, 2000);
       
    
    //Nav Sliding
    $(".nav-toggle a").click(function(event) {
        event.preventDefault();
        $(".nav-menu").toggleClass("nav-slide");
    });
	
	//Close Nav on click
    $(".nav-menu .nav-container li a").click(function(event) {
        $(".nav-menu").toggleClass("nav-slide");
    });    
    
    // Scrollto
   $(function() {
     $('.scroll-link').bind('click.scroll-link', function(e) {
       e.preventDefault();
       var target = this.hash,
         $target = $(target);
       $('html, body').stop().animate({
         'scrollTop': $target.offset().top - 0
       }, 1500, 'swing', function() {
         window.location.hash = target;
       });
     });
   });
   
   
   // one page nav
   $('#top-nav').onePageNav({
     'scrollOffset': 30,
     currentClass: 'current',
     changeHash: false,
     scrollSpeed: 300
   });
   
 
   
    //Full Screen Slider Carousel	
	(function( $ ) {

    function doAnimations( elems ) {
        var animEndEv = 'webkitAnimationEnd animationend';
        
        elems.each(function () {
            var $this = $(this),
                $animationType = $this.data('animation');
            $this.addClass($animationType).one(animEndEv, function () {
                $this.removeClass($animationType);
            });
        });
    }
    
    var $myCarousel = $('#section-one'),
        $firstAnimatingElems = $myCarousel.find('.item:first').find("[data-animation ^= 'animated']");
        
    $myCarousel.carousel({
      interval: 10000, //change carousel speed
	  pause: "false"  //pause on hover - true / false
    });
    
    doAnimations($firstAnimatingElems);
    
    
    $myCarousel.on('slide.bs.carousel', function (e) {
        var $animatingElems = $(e.relatedTarget).find("[data-animation ^= 'animated']");
        doAnimations($animatingElems);
    });  
    
})(jQuery);

	
    //Testimoni Carousel
    $("#testimonial").owlCarousel({

    items: 1,    
    slideSpeed: 300,
    paginationSpeed: 400,
    singleItem: true,
    autoPlay: true

    });
	
     
	//Team Carousel
    $("#team-6").owlCarousel({

    items: 4,
    slideSpeed : 300,
    paginationSpeed : 400,
    autoPlay: false

    });


//HoverPort
$(function() {
  $(' #da-thumbs > li ').each( function() { $(this).hoverdir(); } );
});  
    
//Widgets
$(document).ready(function() {
  var options = {
    dropDownSpeed: 50,
    slideUpSpeed: 200,
    slideDownTabSpeed: 300,
    changeTabSpeed: 200,
    closeParentSpeed: 200
  };
  var methods = {
    slideDownTab: function() {
      var tab = $(this).parent();
      tab.find('> :last-child').stop(true, true).slideToggle(options.slideDownTabSpeed);
      if (tab.hasClass('current')) {
        tab.removeClass('current');
      } else {
        tab.addClass('current');
      }
    },
    accordionTab: function() {
      var tab = $(this).parent();
      var current = false;
      if (!tab.hasClass('current')) {
        tab.find('> :last-child').slideDown(options.slideDownTabSpeed);
        current = true;
      }
      tab.parent().find('.current').removeClass('current').find('> :last-child').stop(true, true).slideToggle(options.slideDownTabSpeed);
      if (current === true) {
        tab.addClass('current');
      }
    },
    changeTab: function() {
      var tabNum = $(this).index() + 1;
      var tabs = $(this).parents('.tabs');
      tabs.find('li.current').removeClass('current');
      $(this).addClass('current');
      tabs.find('.tab-content.active').fadeOut(options.changeTabSpeed - 50).removeClass('active');
      tabs.find('.tab-content:nth-child(' + tabNum + ')').fadeIn(options.changeTabSpeed).addClass('active');
    },
    closeParent: function() {
      $(this).parent().fadeOut(options.closeParentSpeed);
    }
  };
  $('.tabs ul').on('click', 'li:not(.current)', methods.changeTab);
  $('.accordion-wrp h6').on('click', methods.accordionTab);
});

//Wow
new WOW().init();
    

}); 
})(jQuery);   